Subject: Re: [bug#38904] gnu: Add gnome-color-manager.

From: Raghav Gururajan <[email-masked]>
Date: Thu, 09 Jan 2020 12:31:40 -0500

Hi Danny!

> To find out, I've removed it from the inputs and it built just fine
> and
> gcm-viewer also started up fine.  What was the reason that you added
> it?

The upstream mentioned it as a required dependency. Please view 
https://gitlab.gnome.org/GNOME/gnome-build-meta/blob/master/elements/core/gnome-color-manager.bst
.

> > Would it be okay if I leave things as it is for now?
> 
> You are free to leave it as is on your computer.  When merging it to
> guix master there have to be some standards--otherwise master would
> be
> perpetually broken.

I understand :-)

> In this specific case, some other packages in (gnu packages gnome)
> also have
> adwaita-icon-theme as input.  Even when there is that input that is
> unused it
> will not cause problems (however, it will also not do what you wanted
> it to do--whatever that is).  Also, nothing depends on gnome-color-
> manager.
> Therefore, applied to guix master as commit
> 29ae18db0578bbdbc0119703f7412fe91927e80e.

Thank you!

> But really, having one specific theme (which is by definition a user-
> selectable
> thing) as an input is weird.  Let's fix that everywhere eventually.

IIRC, gnome uses adwaita icon theme as default. I'll try look into what
can be done.

Regards,
RG.